#!/bin/sh
#
# Startup script for the WCCP Server Daemon
#
# chkconfig: 2345 85 15
#
# description: WCCP is the Web Cache Coordination Protocol
#
# config: /etc/sysconfig/wccpd

# Source 'em up
. /etc/init.d/functions


# Source additional OPTIONS if we have them.
if [ -f /etc/sysconfig/wccpd ] ; then
        . /etc/sysconfig/wccpd
fi

start() {
	echo -n $"Starting wccpd: "
	daemon wccpd $WCCPD_OPTS
	RETVAL=$?
	echo
	[ $RETVAL = 0 ] && touch /var/lock/subsys/wccpd
	return $RETVAL
}

stop() {
        echo -n $"Stopping wccpd: "
        killproc wccpd
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && rm -f /var/lock/subsys/wccpd
}

restart() {
	stop
	sleep 5
	start
}

case "$1" in
  start)
	start
	;;

  stop)
	stop
	;;

  restart)
	restart
	;;

  condrestart)
	[ -e /var/lock/subsys/wccpd ] && restart
	;;

  status)
	status wccpd
	;;
  *)
	echo $"Usage: $0 {start|stop|restart|condrestart|status}"
	exit 1
esac

exit 0
